{
  "root": true,
  "ignorePatterns": ["**/*"],
  "plugins": ["@nrwl/nx"],
  "overrides": [
    {
      "files": ["*.ts", "*.tsx", "*.js", "*.jsx"],
      "rules": {
        "@nrwl/nx/enforce-module-boundaries": [
          "error",
          {
            "enforceBuildableLibDependency": true,
            "allow": [],
            "depConstraints": [
              {
                "sourceTag": "esspass-web-wallet",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "web-utils-lib",
                  "issuance-flow-lib",
                  "security-web-lib",
                  "common-web-lib"
                ]
              },
              {
                "sourceTag": "backend",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib"
                ]
              },
              {
                "sourceTag": "auth-server",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib"
                ]
              },
              {
                "sourceTag": "issuer-backoffice",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib"
                ]
              },
              {
                "sourceTag": "pda-management",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib",
                  "async-comm-lib"
                ]
              },
              {
                "sourceTag": "issuer-revocation",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib"
                ]
              },
              {
                "sourceTag": "issuer-wallet",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib"
                ]
              },
              {
                "sourceTag": "issuer-front-end",
                "onlyDependOnLibsWithTags": [
                  "security-web-lib",
                  "domain-lib",
                  "web-utils-lib",
                  "common-web-lib"
                ]
              },
              {
                "sourceTag": "issuer-back-end",
                "onlyDependOnLibsWithTags": [
                  "security-web-lib",
                  "domain-lib",
                  "web-utils-lib",
                  "common-web-lib"
                ]
              },
              {
                "sourceTag": "common-web-lib",
                "onlyDependOnLibsWithTags": ["domain-lib", "web-utils-lib", "security-web-lib"]
              },
              {
                "sourceTag": "integration",
                "onlyDependOnLibsWithTags": [
                  "domain-lib",
                  "crypto-lib",
                  "security-lib",
                  "logging-lib",
                  "backend-utils-lib"
                ]
              },
              {
                "sourceTag": "versions",
                "onlyDependOnLibsWithTags": ["logging-lib", "domain-lib"]
              },
              {
                "sourceTag": "crypto-lib",
                "onlyDependOnLibsWithTags": ["logging-lib", "domain-lib", "backend-utils-lib"]
              },
              {
                "sourceTag": "async-comm-lib",
                "onlyDependOnLibsWithTags": ["logging-lib", "domain-lib", "crypto-lib"]
              },
              {
                "sourceTag": "web-utils-lib",
                "onlyDependOnLibsWithTags": ["domain-lib"]
              },
              {
                "sourceTag": "issuance-flow-lib",
                "onlyDependOnLibsWithTags": ["domain-lib"]
              },
              {
                "sourceTag": "security-lib",
                "onlyDependOnLibsWithTags": ["logging-lib", "domain-lib"]
              },
              {
                "sourceTag": "backend-utils-lib",
                "onlyDependOnLibsWithTags": ["logging-lib", "domain-lib"]
              },
              {
                "sourceTag": "domain-lib",
                "onlyDependOnLibsWithTags": []
              },
              {
                "sourceTag": "logging-lib",
                "onlyDependOnLibsWithTags": []
              },
              {
                "sourceTag": "security-web-lib",
                "onlyDependOnLibsWithTags": []
              }
            ]
          }
        ]
      }
    },
    {
      "files": ["*.ts", "*.tsx"],
      "extends": ["plugin:@nrwl/nx/typescript"],
      "rules": {
        "@typescript-eslint/no-unused-vars": "off",
        "@typescript-eslint/no-explicit-any": ["off"],
        "@typescript-eslint/no-non-null-assertion": "off",
        "no-async-promise-executor": "off",
        "no-prototype-builtins": "off"
      }
    },
    {
      "files": ["*.js", "*.jsx"],
      "extends": ["plugin:@nrwl/nx/javascript"],
      "rules": {}
    }
  ]
}
